cabal-install-3.12.1.0: The command-line interface for Cabal and Hackage.

Copyright | (c) Lennart Kolmodin 2008
License | BSD-like
Maintainer | kolmodin@haskell.org
Stability | provisional
Portability | portable
Safe Haskell | None
Language | Haskell2010

Distribution.Client.Check

Description

Check a package for common mistakes

Synopsis

- check :: Verbosity -> [CheckExplanationIDString] -> IO Bool

# Documentation

check #

Arguments

:: Verbosity |
-> [CheckExplanationIDString] | List of check-ids in String form (e.g. `invalid-path-win`) to ignore.
-> IO Bool |

Checks a packge for common errors. Returns `True` if the package is fit to upload to Hackage, `False` otherwise. Note: must be called with the CWD set to the directory containing the '.cabal' file.